import sys

def getpolicy(filename, verbose=0):
    policy = set()
    Smax = -1
    Imax = -1
    f = open(filename, "r")
    for line in f.readlines():
        words = line.split()
        if (len(words) and words[0][:2]=="I="
            or len(words)>=2 and words[0]=="stuck=0," and words[1][:2]=="I="):
            if words[0][:2]=="I=":
                I = int(words[0][2:].replace(":",""))
            else:
                I = int(words[1][2:].replace(":",""))
            for word in words:
                if word[0] not in ("s", "I", "("):
                    S = int(word)
                    policy.add((S,I))
                    Smax = max(Smax, S)
                    Imax = max(Imax, I)
    f.close()
    if verbose >= 2:
        for I in range(Imax+1):
            sys.stdout.write("I=%d:" % I)
            scount = 0
            for S in range(Smax+1):
                if (S,I) in policy:
                    sys.stdout.write(" %d" % S)
                    scount += 1
            sys.stdout.write(" (%d)\n" % scount)

    if verbose:
        sys.stdout.write("len(policy)=%d\t" % len(policy))
    return policy
