include("percentg.jl")
include("policy_performance_solve.jl")

# temp, so it can run sequentially on the weekend
#include("make_policies.jl")

N = 300
y = 1
u2 = 0
u3 = 0
I0 = 1
S0 = N - I0
phase0 = 0

for betamod in [0.8] #, 0.7, 0.9]
    for u1 in [0.2] #, 0.15]
        tail = @sprintf("%s_%s_%s_%s.jres", percentg(y), percentg(u1), percentg(u2), percentg(u3))
        for B1 in [2, 2.5, 3, 3.5, 4, 1.6]
            B2 = B1 * betamod
            if B2 > 1
                for head in ["emptypolicy", "fullpolicy", "policyiter", "linprogcrude", "detpolicy"]
                    filename = @sprintf("%s_%d_%s_%s_%s", head, N, percentg(B1), percentg(B2), tail)
                    if head=="linprogcrude" || head=="detpolicy"
                        sticky = 1
                    else
                        sticky = 0
                    end
                    tic()
                    @printf("%s, sticky=%d\n", filename, sticky)
                    if head=="emptypolicy"
                        filename = ""
                        use_B1 = B1
                        use_B2 = B2
                    elseif head=="fullpolicy"
                        filename = ""
                        use_B1 = B2
                        use_B2 = B2
                    else
                        use_B1 = B1
                        use_B2 = B2
                    end
                    all1 = head=="fullpolicy"
                    sirsolve(N, use_B1, use_B2, y, u1, u2, u3, S0, I0, phase0, sticky, filename, false)
                    toc()
                    @printf("\n")
                    flush(STDOUT)
                end
            end
        end
    end
end
