import sys

import sirdefs
import switchruns

N = 30000 # 30000
#u1 = 0.02
u2 = 0
u3 = 0
y = 1
I0 = 1

#Bs = [1.4, 1.6, 1.8, 2, 2.2, 2.5, 3, 3.5, 4]
Bs = [1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.8, 2, 2.2, 2.5, 3, 3.5, 4]
#Bs = [2]

# just like det_performance_calc.py but with sticky

for u1 in [0.025]:
    for B1 in Bs:
        for Bmod in [1.0, 0.95, 0.9, 0.8, 0.7, 0.6]:
            B2 = B1 * Bmod
            (Sd, Id) = sirdefs.stable(N, B2, y, u1, u2, u3)
            if B2 > y+u1 and Id >= 3:
                switchruns.check(N, B1, B2, y, u1, u2, u3, I0, stickyswitch=1, do_unchanged=[], do_det_approx=1, verbose=0)
                
