import sys

import sirdefs
import iterlangcheck

y = 1
u2 = 0
u3 = 0
I0 = 1
verbose = 1

for N in [300]: # 100
    for u1 in [0.2]: #[0.15, 0.2, 0.3]:
        for B1 in [1.6, 2, 2.5, 3, 3.5, 4]:
            B2 = 0.8 * B1
            (Sd1, Id1) = sirdefs.stable(N, B1, y, u1, u2, u3)
            (Sd, Id) = sirdefs.stable(N, B2, y, u1, u2, u3)
            if Id >= 3:
                iterlangcheck.check(N, B1, B2, y, u1,  u2, u3, I0, printit=0, plotit=1, eval=0)
            else:
                sys.stdout.write("B1=%g, B2=%g, (Sd1,Id1)=(%d,%d), (Sd,Id)=(%d,%d); skipping because Id < 3\n"
                                 % (B1, B2, Sd1, Id1, Sd, Id))
